- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/delete#try-it)

Deletes a student group member.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to delete the requested student group member or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `NOT_FOUND` if the student group member does not exist or the user does not have access to the student group.

### HTTP request

`DELETE https://classroom.googleapis.com/v1/courses/{courseId}/studentGroups/{studentGroupId}/studentGroupMembers/{userId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. The identifier of the course containing the relevant student group. |
| `studentGroupId` | `string` Required. The identifier of the student group containing the student group member to delete. |
| `userId` | `string` Required. The identifier of the student group member to delete. |

### Query parameters

| Parameters ||
|---|---|
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.rosters`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).